body {
    height: 100vh;
    background: #111;
    display: flex;
    justify-content: center;
    align-items: center;
}

.container {
    width: 500px;
    height: 300px;
    position: relative;
    overflow: hidden;
    border-radius: 5px;
}

.container img {
    width: 100%;
    /* height: 100%; */
    object-fit: cover;
    transition: all 0.5s;
}

.container .content {
    position: absolute;
    top: 100%;
    width: 100%;
    height: 100%;
    padding: 8px;

    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;

    color: #FFF;
    background-color: rgba(85, 0, 255, 0.6);

    font-family: Roboto;

    transition: all 0.5s;
}

.container .content h1,
.container .content p {
    margin: 0;
    padding: 0;
    opacity: 0;
    transform: translateY(-8px);
    transition: all 0.5s;
}

.container .content p {
    font-size: 20px;
}


.container:hover .content {
    top: 0;
    transform:  translateY(-2%) scale(1.3) rotate(30deg);
}

.container:hover .content  h1,
.container:hover .content  p
{
    opacity: 1;
    transform: translateY(0);
    transition-delay: 0.4s;
}

.container:hover img {
    /* transform: translateY(-2%); */
    transform:  translateY(-2%) scale(1.8) rotate(30deg);
}